"""create table for soaps
Revision ID: 8b7d6a1c5f24
Revises: 3a7d6c1e86b4
Create Date: 2023-05-24 12:00:00
"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func
import uuid

# revision identifiers, used by Alembic.
revision = '8b7d6a1c5f24'
down_revision = '3a7d6c1e86b4'
branch_labels = None
depends_on = None

def upgrade():
    table_name = "soaps"

    op.create_table(
        table_name,
        sa.Column('id', sa.String(36), primary_key=True, default=lambda: str(uuid.uuid4())),
        sa.Column('name', sa.String(), nullable=False, unique=True),
        sa.Index('ix_soaps_name', 'name'),
        sa.Column('created_at', sa.DateTime(), server_default=func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=func.now(), onupdate=func.now())
    )

def downgrade():
    table_name = "soaps"
    op.drop_table(table_name)