"""create table for soaps
Revision ID: 2f6d7a8c2e3d
Revises: 3a7d6c1e86b4
Create Date: 2023-05-31 15:17:06.885290
"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func
import uuid

# revision identifiers, used by Alembic.
revision = '2f6d7a8c2e3d'
down_revision = '3a7d6c1e86b4'
branch_labels = None
depends_on = None

def upgrade():
    op.create_table(
        'soaps',
        sa.Column('id', sa.String(36), primary_key=True, default=lambda: str(uuid.uuid4())),
        sa.Column('name', sa.String(), nullable=False, unique=True),
        sa.Column('created_at', sa.DateTime(), server_default=func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=func.now(), onupdate=func.now())
    )
    op.create_index(op.f('ix_soaps_name'), 'soaps', ['name'], unique=True)

def downgrade():
    op.drop_index(op.f('ix_soaps_name'), table_name='soaps')
    op.drop_table('soaps')